VDPAU

Data Fields
VdpPictureInfoH264Predictive Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an H.264 Hi444PP picture. More...

`#include <vdpau.h>`

## Data Fields
VdpPictureInfoH264 | pictureInfo
H.264 bitstream
Copies of the H.264 bitstream fields.
uint8_t | qpprime_y_zero_transform_bypass_flag
uint8_t | separate_colour_plane_flag

## Detailed Description

Picture parameter information for an H.264 Hi444PP picture.

Note: VDPAU clients must use VdpPictureInfoH264Predictive to describe the attributes of a frame being decoded with VDP_DECODER_PROFILE_H264_HIGH_444_PREDICTIVE.

Note: software drivers may choose to honor values of qpprime_y_zero_transform_bypass_flag greater than 1 for internal use.

## Field Documentation

## ◆ pictureInfo

VdpPictureInfoH264 VdpPictureInfoH264Predictive::pictureInfo

VdpPictureInfoH264 struct.

## ◆ qpprime_y_zero_transform_bypass_flag

uint8_t VdpPictureInfoH264Predictive::qpprime_y_zero_transform_bypass_flag

0 - lossless disabled 1 - lossless enabled

## ◆ separate_colour_plane_flag

uint8_t VdpPictureInfoH264Predictive::separate_colour_plane_flag

0 - disabled 1 - enabled

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h